org.apache.ignite.internal.cache.query.index.sorted

## Class IndexSearchRowImpl

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexSearchRowImpl

All Implemented Interfaces:
  IndexRow, MvccVersionAware

    public class IndexSearchRowImpl
    extends Object
    implements IndexRow

Represents a search row that used to find a place in a tree.

### Constructor Summary

Constructors
Constructor and Description
`IndexSearchRowImpl(IndexKey[] idxKeys, InlineIndexRowHandler rowHnd)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheDataRow` `cacheDataRow()`
`boolean` `indexSearchRow()`
`IndexKey` `key(int idx)`
`IndexKey[]` `keys()`
`long` `link()`
`InlineIndexRowHandler` `rowHandler()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.IndexRow

`mvccCoordinatorVersion, mvccCounter, mvccOperationCounter, mvccTxState`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Constructor Detail

#### IndexSearchRowImpl

    public IndexSearchRowImpl(IndexKey[] idxKeys,
                              InlineIndexRowHandler rowHnd)

Constructor.

### Method Detail

#### key

    public IndexKey key(int idx)

Specified by:
  `key` in interface `IndexRow`
Parameters:
  `idx` - Index of a key.
Returns:
  Underlying key by specified index.

#### keys

    public IndexKey[] keys()

Specified by:
  `keys` in interface `IndexRow`
Returns:
  Underlying keys.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### link

    public long link()

Specified by:
  `link` in interface `IndexRow`
Returns:
  Link to a cache row.

#### rowHandler

    public InlineIndexRowHandler rowHandler()

Specified by:
  `rowHandler` in interface `IndexRow`
Returns:
  Schema of an index.

#### cacheDataRow

    public CacheDataRow cacheDataRow()

Specified by:
  `cacheDataRow` in interface `IndexRow`
Returns:
  Cache row.

#### indexSearchRow

    public boolean indexSearchRow()

Specified by:
  `indexSearchRow` in interface `IndexRow`
Returns:
  `True` for rows used for index search (as opposed to rows stored in `InlineIndexTree`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022